# cloudknot

[![Build Status](https://travis-ci.org/richford/cloudknot.svg?branch=master)](https://travis-ci.org/richford/cloudknot)
[![DOI](https://zenodo.org/badge/102051437.svg)](https://zenodo.org/badge/latestdoi/102051437)

A knot is a collective noun for a group of snakes. Cloudknot is a python
library designed to run your existing python code on
[AWS Batch](https://aws.amazon.com/batch).

This is the cloudknot development site. You can view the source code, file new
issues, and contribute to cloudknot's development. If you are just getting
started, you should look at the
[cloudknot documentation](https://richford.github.io/cloudknot/).


## Contributing

We love contributions! Cloudknot is open source, built on open source,
and we'd love to have you hang out in our community.

We have developed some [guidelines](CONTRIBUTING.md) for contributing to
AFQ-Insight.

**Imposter syndrome disclaimer**: We want your help. No, really.

There may be a little voice inside your head that is telling you that
you're not ready to be an open source contributor; that your skills
aren't nearly good enough to contribute. What could you possibly offer a
project like this one?

We assure you - the little voice in your head is wrong. If you can
write code at all, you can contribute code to open source. Contributing
to open source projects is a fantastic way to advance one's coding
skills. Writing perfect code isn't the measure of a good developer (that
would disqualify all of us!); it's trying to create something, making
mistakes, and learning from those mistakes. That's how we all improve,
and we are happy to help others learn.

Being an open source contributor doesn't just mean writing code, either.
You can help out by writing documentation, tests, or even giving
feedback about the project (and yes - that includes giving feedback
about the contribution process). Some of these contributions may be the
most valuable to the project as a whole, because you're coming to the
project with fresh eyes, so you can see the errors and assumptions that
seasoned contributors have glossed over.


## Credits

This package was created with
[shablona](https://github.com/uwescience/shablona).

The imposter syndrome disclaimer was originally written by
[Adrienne Lowe](https://github.com/adriennefriend) for a [PyCon
talk](https://www.youtube.com/watch?v=6Uj746j9Heo), and was
adapted based on its use in the README file for the [MetPy
project](https://github.com/Unidata/MetPy).

